Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.pipe
Class TokenSequence2TokenInstances

    java.lang.Object
      cc.mallet.pipe.Pipe
          cc.mallet.pipe.TokenSequence2TokenInstances

All Implemented Interfaces:
  AlphabetCarrying, java.io.Serializable

    public class TokenSequence2TokenInstances

extends Pipe

See Also:
  Serialized Form

Constructor Summary
`TokenSequence2TokenInstances()`

Method Summary
`java.util.Iterator<Instance>` | `newIteratorFrom(java.util.Iterator<Instance> source)` Given an InstanceIterator, return a new InstanceIterator whose instances have also been processed by this pipe.

Methods inherited from class cc.mallet.pipe.Pipe
`alphabetsMatch, getAlphabet, getAlphabets, getDataAlphabet, getInstanceId, getTargetAlphabet, instanceFrom, instancesFrom, instancesFrom, isDataAlphabetSet, isTargetProcessing, pipe, preceedingPipeDataAlphabetNotification, preceedingPipeTargetAlphabetNotification, precondition, readResolve, setDataAlphabet, setOrCheckDataAlphabet, setOrCheckTargetAlphabet, setTargetAlphabet, setTargetProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenSequence2TokenInstances

    public TokenSequence2TokenInstances()

Method Detail

### newIteratorFrom

    public java.util.Iterator<Instance> newIteratorFrom(java.util.Iterator<Instance> source)

  Description copied from class: `Pipe`
  Given an InstanceIterator, return a new InstanceIterator whose instances have also been processed by this pipe. If you override this method, be sure to check and obey this pipe's `skipIfFalse(Instance)` method.

  Overrides:
    `newIteratorFrom` in class `Pipe`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD